SuSE-SA:2003:047: bind8

Medium Nessus Plugin ID 13815


The remote host is missing a vendor-supplied security patch


The remote host is missing the patch for the advisory SuSE-SA:2003:047 (bind8).

To resolve IP addresses to host and domain names and vice versa the DNS service needs to be consulted. The most popular DNS software is the BIND8 and BIND9 suite. The BIND8 code is vulnerable to a remote denial-of-service attack by poisoning the cache with authoritative negative responses that should not be accepted otherwise.
To execute this attack a name-server needs to be under malicious control and the victim's bind8 has to query this name-server.
The attacker can set a high TTL value to keep his negative record as long as possible in the cache of the victim. For this time the clients of the attacked site that rely on the bind8 service will not be able to reach the domain specified in the negative record.
These records should disappear after the time-interval (TTL) elapsed.

There is no temporary workaround for this bug.

To make this update effective run 'rcnamed restart' as root please.

Please download the update package for your distribution and verify its integrity by the methods listed in section 3) of this announcement.
Then, install the package using the command 'rpm -Fhv file.rpm' to apply the update.


Plugin Details

Severity: Medium

ID: 13815

File Name: suse_SA_2003_047.nasl

Version: $Revision: 1.10 $

Agent: unix

Published: 2004/07/25

Modified: 2016/12/27

Dependencies: 12634

Risk Information

Risk Factor: Medium


Base Score: 5

Vector: CVSS2#AV:N/AC:L/Au:N/C:N/I:N/A:P

Vulnerability Information

Required KB Items: Host/SuSE/rpm-list

Reference Information

CVE: CVE-2003-0914